GIT-LFS-FILTER-PROCESS(1)

NAME
git-lfs-filter-process - Git filter process that converts between pointer and actual content

SYNOPSIS
git lfs filter-process git lfs filter-process --skip

DESCRIPTION
Implement the Git process filter API, exchanging handshake messages and then accepting and responding to requests to either clean or smudge a file.

filter-process is always run by Git's filter process, and is configured by the repository's Git attributes.

The filter process uses Git's pkt-line protocol to communicate, and is documented in detail in gitattributes(5).

OPTIONS
Without any options, filter-process accepts and responds to requests normally.

--skip
    Skip automatic downloading of objects on clone or pull.

GIT_LFS_SKIP_SMUDGE
    Disables the smudging process. For more, see: git-lfs-config(5).

SEE ALSO
git-lfs-clean(1), git-lfs-install(1), git-lfs-smudge(1), gitattributes(5).

Part of the git-lfs(1) suite.